EncryptionOptions.ServerEncryptionOptions.InternodeEncryption (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.config

## Enum EncryptionOptions.ServerEncryptionOptions.InternodeEncryption

- java.lang.Object
- - java.lang.Enum<EncryptionOptions.ServerEncryptionOptions.InternodeEncryption>
  - - org.apache.cassandra.config.EncryptionOptions.ServerEncryptionOptions.InternodeEncryption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EncryptionOptions.ServerEncryptionOptions.InternodeEncryption>
  Enclosing class:
    EncryptionOptions.ServerEncryptionOptions

      public static enum EncryptionOptions.ServerEncryptionOptions.InternodeEncryption
      extends java.lang.Enum<EncryptionOptions.ServerEncryptionOptions.InternodeEncryption>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `all`
    `dc`
    `none`
    `rack`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncryptionOptions.ServerEncryptionOptions.InternodeEncryption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EncryptionOptions.ServerEncryptionOptions.InternodeEncryption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### all

          public static final EncryptionOptions.ServerEncryptionOptions.InternodeEncryption all

    - #### none

          public static final EncryptionOptions.ServerEncryptionOptions.InternodeEncryption none

    - #### dc

          public static final EncryptionOptions.ServerEncryptionOptions.InternodeEncryption dc

    - #### rack

          public static final EncryptionOptions.ServerEncryptionOptions.InternodeEncryption rack

  - ### Method Detail

    - #### values

          public static EncryptionOptions.ServerEncryptionOptions.InternodeEncryption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncryptionOptions.ServerEncryptionOptions.InternodeEncryption c : EncryptionOptions.ServerEncryptionOptions.InternodeEncryption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncryptionOptions.ServerEncryptionOptions.InternodeEncryption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation